Subject: bug#74469: bug in ispell-buffer

From: Robert Boyer <[email-masked]>
Date: Fri, 22 Nov 2024 06:27:17 -0600

Dearest Eli,

ispell is so wonderful for what it does, obsolete or not.  Thanks so much
to all concerned.

Gmail/compose is hereby declared to be not only a great,  'free' grammar
error detector, but also a great replacement to ispell.  I recently used
Gmail/compose to find hundreds of typos in the sources for ACL2.

Gmail/compose has no trouble with:

   ōm namō bhagavatē śrī aruṇācala ramaṇāya

I did not have to install this-or-that.  Gmail is broadminded.

Try to catch up!  I realize that "free" means "nothin left to lose".

Freedom's just another word for nothin left to lose. -- Kris Kristofferson
sung by Janis Joplin

 https://www.youtube.com/watch?v=sfjon-ZTqzU

Gmail is free.

Here rms and I disagree about what 'free' means, as we have previously
discussed.

With Highest Regards,

Bob

On Fri, Nov 22, 2024 at 5:47 AM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Robert Boyer <[email-masked]>
> > Date: Fri, 22 Nov 2024 04:17:11 -0600
> > Cc: [email-masked], [email-masked]
> >
> > Perhaps I can answer a few of your questions, but Emacs, as always,
answers the
> > most. See far below.
> >
> > Ispell-breaks on:
> >
> >  ōm namō bhagavatē śrī aruṇācala ramaṇāya
> >
> > > Breaks how?
> >
> > Here is the error report I see:
> >
> > Debugger entered--Lisp error: (error "Ispell misalignment: word ‘nam’
point 122; probabl...")
> >   error("Ispell misalignment: word `%s' point %d; probably ..." "nam"
122)
> >   ispell-process-line("^> ōm namō bhagavatē śrī aruṇācala ramaṇāya\n"
nil)
> >   ispell-region(1 5627)
> >   ispell-buffer()
> >   funcall-interactively(ispell-buffer)
> >   command-execute(ispell-buffer record)
> >   execute-extended-command(nil "ispell-buffer" "ispell-b")
> >   funcall-interactively(execute-extended-command nil "ispell-buffer"
"ispell-b")
> >   command-execute(execute-extended-command)
> >
> > > Please tell more details about the problem, so we could investigate it
> > > and attempt to fix it whatever needs fixing.
> >
> > > Specifically, we need to know the following:
> >
> > > in what language is the above text written?
> >
> > I am not certain. 'Indian' is a sick response. Perhaps Tamil? Perhaps
> > Sanskrit. My Guru, Kumar Saran ([email-masked]) can tell you
> > precisely. I have cc'd him on this message.
> >
> > > What spell-checking program do you use as the back-end for
ispell-buffer?
> >
> > I am as dumb as I rock. I have no idea. I use a Chromebook, I am sure.
I get
> > ispell with the single Debian Gnu Linux shell command:
> >
> >    sudo apt install ispell
>
> What is the value of ispell-program-name?  After you invoke
> ispell-buffer for the first time in an Emacs session, type
>
>   M-: ispell-program-name RET
>
> and tell what it displays.  If it says your spell-checking program is
> Ispell, then the above error message is expected: Ispell does not
> support languages whose text cannot be encoded in single-byte
> encoding, while the text you show needs something like UTF-8 to
> encode.
>
> Also, type this:
>
>   M-: ispell-current-dictionary RET
>
> and tell what it displays.
>
> Thanks.